Subject: WWW ccl.net

From: "hu eric" <[email-masked]>
Date: Thu, 15 Feb 2001 16:22:52 -0800

Hi, CCLers

Is there a WWW server that we can use for the ccl mails like the one Amber 
has? Thanks!

Eric
_________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.